# pdf2wordx [Code](https://github.com/Shuckes/pdf2wordx/tree/main/src/pdf2wordx/)

```shell
pip install pdf2wordx-german
```
> Nach der Installation (pdf2wordx) führen Sie in einer Konsole aus:
> ```shell
> pdf2wordx-german
> ```
> Dadurch wird das Programm gestartet.

---

Konvertieren Sie Ihre **PDF**-Dateien in **DOCX** mit diesem Programm, das über eine grafische Benutzeroberfläche (Python Tkinter) verfügt.

Mit nur 2 Klicks wird eine **PDF**-Datei in eine **DOCX**-Datei umgewandelt, wobei die **_pdf2docx_**-Bibliothek für die Konvertierung verwendet wird.

**Bitte beachten Sie**:

⚠ **docx**-Dateien können in diesem Fall groß sein (MB)

⚠ Es ist nur die Konvertierung von **PDF** erlaubt

⚠ Es kann zu Fehlern im Inhalt der **DOCX** kommen (ungewöhnliche Farben, inkohärente Texte und sogar Inhaltsverlust), abhängig vom ursprünglichen Inhalt der **PDF** (der möglicherweise schwer zu replizieren ist)

## Screenshots des Programms:

<details>
        <summary>Bilder pdf2wordx-V1.0</summary>
        <div style="display: grid; grid-template-columns: 1fr 1fr; grid-template-rows: 1fr">
                <div style="text-align:center; margin:34px">
                        <p>Bild 1:</p>
                        <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v1.0-Alpha/v1alpha-1.png">
                </div>
                <div style="text-align:center; margin:34px">
                        <p>Bild 2:</p>
                        <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v1.0-Alpha/v1alpha-2.png">
                </div>
        </div>
        <div style="text-align:center; margin:34px auto 113px auto">
                <p>Bild 3:</p>
                <image style="max-width:80%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v1.0-Alpha/v1alpha-3.png">
        </div>
</details>

<details>
        <summary>Bilder pdf2wordx-V2.0.0</summary>
        <div style="grid-template-columns: 1fr 1fr;grid-template-rows: 1fr 1fr;display:grid">
                <div style="text-align:center;margin:34px">
                        <p>Bild 1:</p>
                        <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v2.0.0-IMG/v2.0.0-1.webp">
                </div>
                <div style="text-align:center;margin:34px">
                        <p>Bild 2:</p>
                        <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v2.0.0-IMG/v2.0.0-2.webp">
                </div>
                <div style="text-align:center;margin:34px">
                        <p>Bild 3:</p>
                        <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v2.0.0-IMG/v2.0.0-3.webp">
                </div>
                <div style="text-align:center;margin:34px">
                        <p>Bild 4:</p>
                        <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v2.0.0-IMG/v2.0.0-4.webp">
                </div>
        </div>
        <div style="text-align:center;margin:34px auto 63px auto; text-align:center">
                <p>Bild 5:</p>
                <image style="width:50%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v2.0.0-IMG/v2.0.0-5.png">
        </div>
</details>

<div style="grid-template-columns: 1fr 1fr; display:inline-flex">
        <details>
                <summary>pdf2wordx-V2.0.1 Bilder</summary>
                <div style="text-align:center;margin:34px">
                        <p>Bild 1:</p>
                        <img style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v2.0.1-IMG/v2.0.1-1.png">
                </div>
                <div style="text-align:center;margin:34px">
                        <p>Bild 2:</p>
                        <img style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img2" src="https://github.com/tutosrive/images-projects-srm-trg/raw/main/img-pdftoword/v2.0.1-IMG/v2.0.1-2.png">
                </div>
        </details>
</div>

<details>
    <summary>Bilder pdftoword-V2.1.1</summary>
    <div style="display: grid; grid-template-columns: 1fr 1fr; grid-template-rows: 1fr">
        <div style="text-align:center; margin:34px">
            <p>Bild 1: Hauptoberfläche</p>
            <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img1" src="https://cdn.jsdelivr.net/gh/tutosrive/images-projects-srm-trg@main/img-pdftoword/v2.1.2-IMG/pdf2wordx-v2.1.1-1.png">
        </div>
        <div style="text-align:center; margin:34px">
            <p>Bild 2: Open-Source-Lizenz</p>
            <image style="max-width:100%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img2" src="https://cdn.jsdelivr.net/gh/tutosrive/images-projects-srm-trg@main/img-pdftoword/v2.1.2-IMG/pdf2wordx-v2.1.1-2.png">
        </div>
    </div>
    <div style="text-align:center; margin:34px auto 113px auto">
        <p>Bild 3: Hilfe zur Programmnutzung</p>
        <image style="max-width:80%; box-shadow: 1px 2px 61px #000d83; border-radius: 23px" name="img3" src="https://cdn.jsdelivr.net/gh/tutosrive/images-projects-srm-trg@main/img-pdftoword/v2.1.2-IMG/pdf2wordx-v2.1.1-3.png">
    </div>
</details>

## Lokale Nutzung

> [!HINWEIS]
> Führen Sie die Befehle immer aus dem Projektstammverzeichnis aus.
> 
> Die auszuführende Datei ist `./src/pdf2wordx/_pdf2wordx.py`

1. Repository klonen
```shell
git clone https://github.com/tutosrive/pdf2wordx.git
```
2. Öffnen Sie den geklonten **GitHub**-Ordner (_pdf2wordx_) mit Ihrem bevorzugten Editor
3. (optional): Erstellen Sie eine virtuelle Umgebung
```shell
python -m venv .venv
```
4. Installieren Sie die Abhängigkeiten
```shell
pip install -r requirements.txt
```
5. Öffnen Sie das Terminal Ihres Editors und führen Sie aus:
```shell
python ./src/pdf2wordx/_pdf2wordx.py
```

## Wird es Updates geben?

Dieses Programm ist nur ein Fork für eine deutsche Version des <a href="https://github.com/tutosrive/pdf2wordx/releases/">Original Programms</a>.
Ich werde nur Updates erstellen, wenn diese explizit gewünscht sind oder ich sie selbst benötige.
